## kdenlive 20.08.2

=== debian/changelog ===
kdenlive (4:20.08.2-0ubuntu2) groovy; urgency=medium

  * Move knsrc config files to new default location as fixed in this
    release, and unregister from old location.

 -- Rik Mills <rikmills@kde.org>  Mon, 12 Oct 2020 08:15:26 +0100

kdenlive (4:20.08.2-0ubuntu1) groovy; urgency=medium

  * New upstream bugfix release (20.08.2)

 -- Rik Mills <rikmills@kde.org>  Fri, 09 Oct 2020 14:46:31 +0100

kdenlive (4:20.08.1-0ubuntu1) groovy; urgency=medium

  * New upstream release (20.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Sep 2020 13:52:15 +0100

kdenlive (4:20.08.0-0ubuntu1) groovy; urgency=medium

  * New upstream release (20.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 13 Aug 2020 19:45:56 +0100

kdenlive (4:20.04.3-0ubuntu1) groovy; urgency=medium

  * New upstream release (20.04.3)

 -- Rik Mills <rikmills@kde.org>  Fri, 10 Jul 2020 07:36:35 +0100

kdenlive (4:20.04.2-0ubuntu1) groovy; urgency=medium

  * New upstream release (20.04.2)

 -- Rik Mills <rikmills@kde.org>  Sat, 20 Jun 2020 13:13:56 +0100

kdenlive (4:20.04.1-0ubuntu1) groovy; urgency=medium

  * New upstream release (20.04.1)

 -- Rik Mills <rikmills@kde.org>  Fri, 15 May 2020 14:34:45 +0100

kdenlive (4:20.04.0-0ubuntu1) groovy; urgency=medium

  * New upstream release (20.04.0)
  * New build depend on qtquickcontrols2-5-dev

 -- Rik Mills <rikmills@kde.org>  Tue, 28 Apr 2020 17:43:00 +0100
