=== debian/control ===
Source: kdenlive
Section: video
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
XSBC-Original-Maintainer: Patrick Matthäi <pmatthaei@debian.org>
Homepage: https://kdenlive.org/
Standards-Version: 4.3.0
Build-Depends: cmake,
               debhelper (>= 11),
               extra-cmake-modules (>= 5.31.0~),
               ffmpeg,
               libkf5archive-dev (>= 5.31.0~),
               libkf5bookmarks-dev (>= 5.31.0~),
               libkf5config-dev (>= 5.31.0~),
               libkf5configwidgets-dev (>= 5.31.0~),
               libkf5coreaddons-dev (>= 5.31.0~),
               libkf5crash-dev (>= 5.31.0~),
               libkf5dbusaddons-dev (>= 5.31.0~),
               libkf5declarative-dev (>= 5.31.0~),
               libkf5doctools-dev (>= 5.31.0~),
               libkf5filemetadata-dev (>= 5.31.0~),
               libkf5guiaddons-dev (>= 5.31.0~),
               libkf5iconthemes-dev (>= 5.31.0~),
               libkf5kio-dev (>= 5.31.0~),
               libkf5newstuff-dev (>= 5.31.0~),
               libkf5notifications-dev (>= 5.31.0~),
               libkf5notifyconfig-dev (>= 5.31.0~),
               libkf5plotting-dev (>= 5.31.0~),
               libkf5purpose-dev (>= 5.31.0~),
               libkf5textwidgets-dev (>= 5.31.0~),
               libkf5widgetsaddons-dev (>= 5.31.0~),
               libkf5xmlgui-dev (>= 5.31.0~),
               libmlt++-dev (>= 6.6.0),
               libmlt-dev (>= 6.6.0),
               libqt5opengl5-dev (>= 5.6.1~),
               libqt5svg5-dev (>= 5.6.1~),
               libqt5webkit5-dev (>= 5.6.1~),
               librttr-dev,
               libv4l-dev,
               pkg-config,
               pkg-kde-tools,
               qtdeclarative5-dev (>= 5.6.1~),
               qtmultimedia5-dev,
               qtquickcontrols2-5-dev,
               qtscript5-dev (>= 5.6.1~),
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdenlive
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdenlive

Package: kdenlive
Architecture: any
Depends: breeze-icon-theme,
         ffmpeg,
         kded5,
         kdenlive-data (= ${source:Version}),
         kinit,
         kio,
         melt,
         qml-module-qtquick-controls,
         qml-module-qtquick2,
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: dvdauthor,
            dvgrab,
            frei0r-plugins,
            genisoimage,
            oxygen-icon-theme,
            recordmydesktop,
            swh-plugins,
Suggests: khelpcenter
Description: non-linear video editor
 Kdenlive is a non-linear video editing suite, which supports DV, HDV and many
 more formats.
 Its main features are:
  * Guides and marker for organizing timelines
  * Copy and paste support for clips, effects and transitions
  * Real time changes
  * FireWire and Video4Linux capture
  * Screen grabbing
  * Exporting to any by FFMPEG supported format

Package: kdenlive-data
Architecture: all
Depends: ${misc:Depends}
Recommends: kdenlive
Breaks: kdenlive (<= 0.7.2.1), ${kde-l10n:all}
Replaces: ${kde-l10n:all}
Description: non-linear video editor (data files)
 Kdenlive is a non-linear video editing suite, which supports DV, HDV and many
 more formats.
 Its main features are:
  * Guides and marker for organizing timelines
  * Copy and paste support for clips, effects and transitions
  * Real time changes
  * FireWire and Video4Linux capture
  * Screen grabbing
  * Exporting to any by FFMPEG supported format
 .
 This package contains the data files for kdenlive.

Package: kdenlive-dbg
Section: debug
Architecture: any
Priority: optional
Depends: kdenlive (= ${binary:Version}), ${misc:Depends}
Description: non-linear video editor (debugging symbols)
 Kdenlive is a non-linear video editing suite, which supports DV, HDV and many
 more formats.
 Its main features are:
  * Guides and marker for organizing timelines
  * Copy and paste support for clips, effects and transitions
  * Real time changes
  * FireWire and Video4Linux capture
  * Screen grabbing
  * Exporting to any by FFMPEG supported format
 .
 This package contains the debugging symbols for kdenlive.
