=== data/transitions/CMakeLists.txt ===
INSTALL (FILES 

frei0r_cairoblend.xml
frei0r_cairoaffineblend.xml
wipe.xml
qtblend.xml
dissolve.xml
affine.xml
slide.xml
region.xml
luma.xml
mix.xml
composite.xml

DESTINATION ${DATA_INSTALL_DIR}/kdenlive/transitions)
