=== src/audiospectrum/CMakeLists.txt ===
set(kdenlive_SRCS
  ${kdenlive_SRCS}
  audiospectrum/audiographspectrum.cpp
  PARENT_SCOPE)
