=== debian/changelog ===
kdenlive (20.12.3-1) unstable; urgency=low

  * New upstream release.

 -- Patrick Matthäi <pmatthaei@debian.org>  Fri, 12 Mar 2021 10:18:46 +0100

kdenlive (20.12.2-1) unstable; urgency=medium

  * New upstream release.

 -- Patrick Matthäi <pmatthaei@debian.org>  Fri, 05 Feb 2021 10:22:43 +0100

kdenlive (20.12.1-1) unstable; urgency=medium

  * New upstream release.
  * Recommend breeze.
    Closes: #977888
  * Remove unused lintian override.

 -- Patrick Matthäi <pmatthaei@debian.org>  Mon, 11 Jan 2021 10:33:24 +0100

kdenlive (20.12.0-2) unstable; urgency=medium

  * Enable and install user documentation. Thanks to Pino Toscano.
    Closes: #977365
  * Apply patch from Pino Toscano to drop old conffiles.
    Closes: #977366

 -- Patrick Matthäi <pmatthaei@debian.org>  Mon, 14 Dec 2020 13:31:39 +0100

kdenlive (20.12.0-1) unstable; urgency=medium

  * New upstream release.

 -- Patrick Matthäi <pmatthaei@debian.org>  Mon, 14 Dec 2020 11:29:34 +0100

kdenlive (20.08.3-2) unstable; urgency=medium

  * Bump Standards-Version to 4.5.1.
  * Overwrite lintian warning file-references-package-build-path. Patches are
    welcome!

 -- Patrick Matthäi <pmatthaei@debian.org>  Thu, 19 Nov 2020 14:57:20 +0100

kdenlive (20.08.3-1) unstable; urgency=medium

  * New upstream release.

 -- Patrick Matthäi <pmatthaei@debian.org>  Tue, 10 Nov 2020 09:29:55 +0100

kdenlive (20.08.2-1) unstable; urgency=medium

  * New upstream release.
    - etc/xdg has been removed.
    - Add new knsrcfiles directory.
  * Adjust lintian overrides.

 -- Patrick Matthäi <pmatthaei@debian.org>  Fri, 09 Oct 2020 15:14:04 +0200

kdenlive (20.08.1-1) unstable; urgency=medium

  * New upstream release.

 -- Patrick Matthäi <pmatthaei@debian.org>  Fri, 04 Sep 2020 09:32:57 +0200

kdenlive (20.08.0-1) unstable; urgency=medium

  * New upstream release.
    - Drop merged patch 01-spelling-error.
  * Suggest vlc and xine-ui for the DVD preview feature.
    Closes: #965042

 -- Patrick Matthäi <pmatthaei@debian.org>  Tue, 25 Aug 2020 09:35:31 +0200
