## kdenlive 21.04.3

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -54,6 +54,7 @@
 add_subdirectory(library)
 add_subdirectory(mltcontroller)
 add_subdirectory(monitor)
+add_subdirectory(onlineresources)
 add_subdirectory(profiles)
 add_subdirectory(project)
 add_subdirectory(qml)
@@ -65,11 +66,11 @@
 add_subdirectory(utils)
 add_subdirectory(widgets)
 add_subdirectory(xml)
-if(Qt5WebEngineWidgets_FOUND)
-    add_subdirectory(qt-oauth-lib)
-endif()
 ## top_SRCS
 file(GLOB top_SRCS "*.cpp")
+if(NOT CRASH_AUTO_TEST)
+    list(REMOVE_ITEM top_SRCS ${CMAKE_CURRENT_SOURCE_DIR}/logger.cpp)
+endif()
 # string(REGEX REPLACE "${CMAKE_CURRENT_SOURCE_DIR}/lib/[^;]+;?" "" top_SRCS "${top_SRCS}")
 list(REMOVE_ITEM top_SRCS ${CMAKE_CURRENT_SOURCE_DIR}/main.cpp)
 list(APPEND kdenlive_SRCS ${top_SRCS})
@@ -87,7 +88,7 @@
 
 add_library(kdenliveLib STATIC ${kdenlive_SRCS} ${kdenlive_UIS} ${kdenlive_MOC} lib/localeHandling.cpp lib/localeHandling.h)
 
-qt5_add_resources(kdenlive_extra_SRCS icons.qrc ui/resources.qrc uiresources.qrc)
+qt5_add_resources(kdenlive_extra_SRCS icons.qrc uiresources.qrc)
 ## Icon for Windows and OSX
 file(GLOB ICONS_SRCS "${CMAKE_CURRENT_SOURCE_DIR}/../data/icons/*-apps-kdenlive.png")
 ecm_add_app_icon(kdenlive ICONS ${ICONS_SRCS}) # icon name = variable name
@@ -139,6 +140,7 @@
     Qt5::QuickWidgets
     Qt5::Concurrent
     Qt5::Multimedia
+    Qt5::NetworkAuth
     ${OPENGL_LIBRARIES}
     ${OPENGLES_LIBRARIES}
     ${MLT_LIBRARIES}
@@ -146,12 +148,6 @@
     ${CMAKE_DL_LIBS}
     ${CMAKE_THREAD_LIBS_INIT}
     kiss_fft)
-if(TARGET RTTR::Core)
-     target_link_libraries(kdenliveLib RTTR::Core)
-else()
-     target_link_libraries(kdenliveLib RTTR::Core_Lib)
-endif()
-
 if(BUILD_COVERAGE)
   target_link_libraries(kdenliveLib gcov)
 endif()
@@ -159,6 +155,15 @@
 add_definitions(${qt5gui_definitions} -DQT_STRICT_ITERATORS -DQT_NO_CAST_FROM_BYTEARRAY)
 
 # Optional deps
+if(CRASH_AUTO_TEST)
+    target_compile_definitions(kdenliveLib PRIVATE CRASH_AUTO_TEST)
+    if(TARGET RTTR::Core)
+        target_link_libraries(kdenliveLib RTTR::Core)
+    else()
+        target_link_libraries(kdenliveLib RTTR::Core_Lib)
+    endif()
+endif()
+
 if(DRMINGW_FOUND)
     target_compile_definitions(kdenlive PRIVATE -DUSE_DRMINGW)
     target_include_directories(kdenlive SYSTEM PRIVATE ${DRMINGW_INCLUDE_DIR})
@@ -178,14 +183,6 @@
     target_link_libraries(kdenliveLib KF5::Purpose KF5::PurposeWidgets)
 endif()
 
-if(Qt5WebEngineWidgets_FOUND)
-    message(STATUS "Found Qt5 WebEngineWidgets. You can use your Freesound.org credentials to download files")
-    target_compile_definitions(kdenliveLib PRIVATE -DQT5_USE_WEBENGINE)
-    target_link_libraries(kdenliveLib Qt5::WebEngineWidgets)
-else()
-    message(STATUS "Qt5 WebEngineWidgets not found. You cannot use your Freesound.org credentials, only preview files can be downloaded from the Online Resources Widget")
-endif()
-
 if(Q_WS_X11)
 	target_include_directories(kdenliveLib SYSTEM PRIVATE ${X11_Xlib_INCLUDE_PATH})
     target_link_libraries(kdenliveLib ${X11_LIBRARIES})
