=== data/man/CMakeLists.txt ===
install(FILES kdenlive.1 kdenlive_render.1 DESTINATION ${MAN_INSTALL_DIR}/man1 )
