=== packaging/appimage/3rdparty/ext_mlt/CMakeLists.txt ===
ExternalProject_Add(
  ext_mlt
  DOWNLOAD_DIR ${EXT_DOWNLOAD_DIR}
  GIT_REPOSITORY https://github.com/mltframework/mlt.git
  GIT_TAG v6

  CONFIGURE_COMMAND <SOURCE_DIR>/configure --prefix=${EXT_INSTALL_DIR} ${AT_HOST} ${AT_SHARED_ONLY} --enable-gpl --enable-gpl3 --enable-opencv --enable-opengl --enable-lumas --avformat-swscale
  BUILD_IN_SOURCE 1
  BUILD_ALWAYS TRUE
  BUILD_COMMAND $(MAKE) clean
  COMMAND $(MAKE)
  INSTALL_COMMAND $(MAKE) install
)
