=== debian/changelog ===
kdenlive (4:21.04.3-2ubuntu1) impish; urgency=medium

  * Sync debian changes.

 -- Rik Mills <rikmills@kde.org>  Tue, 17 Aug 2021 18:39:22 +0100

kdenlive (4:21.04.3-0ubuntu2) impish; urgency=medium

  * Build with BUILD_TESTING=OFF until tests are fixed with new
    glibc 2.34

 -- Rik Mills <rikmills@kde.org>  Tue, 17 Aug 2021 15:51:31 +0100

kdenlive (4:21.04.3-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 08 Jul 2021 11:42:10 +0100

kdenlive (4:21.04.2-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 10 Jun 2021 10:38:43 +0100

kdenlive (4:21.04.1-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 13 May 2021 09:05:20 +0100

kdenlive (4:21.04.0-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.0)
  * Update build depends from cmake.

 -- Rik Mills <rikmills@kde.org>  Thu, 29 Apr 2021 01:34:01 +0100

kdenlive (4:20.12.3-0ubuntu1) hirsute; urgency=medium

  * New upstream release (20.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 04 Mar 2021 15:18:46 +0000

kdenlive (4:20.12.2-0ubuntu1) hirsute; urgency=medium

  * New upstream release (20.12.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 04 Feb 2021 09:53:00 +0000

kdenlive (4:20.12.1-0ubuntu1) hirsute; urgency=medium

  * New upstream release (20.12.1)
  * Sync debian changes.

 -- Rik Mills <rikmills@kde.org>  Wed, 13 Jan 2021 19:50:43 +0000

kdenlive (4:20.12.0-0ubuntu1) hirsute; urgency=medium

  * New upstream release (20.12.0)
  * Build with optional QtWebEngine on supported architectures.

 -- Rik Mills <rikmills@kde.org>  Fri, 11 Dec 2020 14:26:01 +0000

kdenlive (4:20.08.3-0ubuntu1) hirsute; urgency=medium

  * New upstream release (20.08.3)

 -- Rik Mills <rikmills@kde.org>  Wed, 11 Nov 2020 09:50:32 +0000
